<!--<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%> -->

<!--c:forEach等のリファレンス処理をかけ雨量にするために書くこと-->
<!-- ↑この2つの文のうち1行目のは、文字化けしないように初めにUTF-8と文字コードを設定する分で2行目は、c:forach等のEL式を書けるようにするために必要な文である。 -->

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title></title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="../css/s.css" rel="stylesheet" type="text/css" />
</head>

<body>
    <header class="azuki">
        <ul class="nav justify-content-end navbarp">
            <li class="nav-item mr-auto">
                <!--トップッページに戻る-->
                <a class="nav-link active lawhite" href="#">サイト名</a>
            </li>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">マイページ</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">ユーザー情報</a>
                    </div>
                </li>
            </c:if>
            <c:if test="${loginUser.loginId == ||loginUser.loginId == user.loginId}">
                <li class="nav-item">
                    <div class="headerLinks m-2 mr-2 ">
                        <a href="" class="lawhite">料理を投稿する</a>
                    </div>
                </li>
            </c:if>
            <li class="nav-item">
                <div class="headerLinks m-2 mr-2 ">
                    <a href="" class="lawhite">カテゴリ一覧 </a>
                </div>
            </li>
            <li class="nav-item">
                <form class="form-inline" action="" method="">
                    <div class="input-group">
                        <input type="text" class="form-control" size="50" placeholder="料理名、カテゴリなどを入力">
                        <button type="submit" class="btn btn-outline-light mx-1">検索</button>
                    </div>
                </form>
            </li>
            <li class="nav-item">
                <a class="nav-link active lawhite" href="#">ユーザー名</a>
            </li>
            <li class="nav-item">
                <a class="btn btn-outline-light" href="LogoutServlet">ログアウト</a>
            </li>
        </ul>
    </header>
    <div class="light">
        <p>○○→○○→○○→○○→○○</p>
    </div>
    <div class="wrapper">
        <div class="maxwidth80">
            <div class="container-fluid">
                <div class="white">
                    <div class="row py-1">
                        <div class="col-sm-8" align="left">
                            <h2>定食${foodname}</h2>
                        </div>
                        <div class="col-sm-4" textalign="right">
                            <ul class="row">
                                <li class="col">費用${foodprice}</li>
                                <li class="col">所要時間${time}</li>
                                <li class="col">カロリー{cal}</li>
                            </ul>
                        </div>
                    </div>

                    <div class="row">
                        <img src="../img/asa.jpg" id="" name="newpiclavel" alt="写真" width="700" height="500">
                        <div class="col">
                            <div>${usercoments}投稿者コメント300文字以内制ああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああ
                            </div>
                            <p>　</p>
                            <div class="float-right py-3 row">投稿者:${usernicname}</div>
                            <div>
                                <p>　　</p>
                            </div>
                            <div class=" mt-5 row">
                                <div class="col">
                                    <button class="btn btn-success" id="good">おいしかった</button>
                                    <label for="good">${goodcounter}</label>
                                </div>
                                <div class="col float-right" id="great">
                                    <button class="btn btn-danger ">とてもおいしかった</button>
                                    <label for="great">${greatcounter}</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="m-1 row">
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>

                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                        <a class="col-1">
                            a
                        </a>
                    </div>

                    <div class="row">
                        <div class="col">
                            　<div align="right">投稿日2020/07/21</div>
                        </div>
                    </div>
                </div>
                <h1 class="">使用材料　　　　　　　　　　調理手順</h1>
                <div class="row">
                    <!--使用材料-->
                    <div class="col-sm-6 listbox white">
                        <ul>
                            <c:foreach var="material" items="${usermateriallist}">
                                <li><strong>${material.materialname}</strong><em>${material.materialquantity}</em>　　|</li>
                            </c:foreach>
                        </ul>
                    </div>
                    <!--調理手順-->
                    <div class="col-sm-6  white">
                        <ul>
                            <li>
                                <c:foreach var="cook" items="${usermateriallist}">
                                    <div class="py-3">
                                        <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="left">
                                        調理内容${processtext}ああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああああ
                                    </div>
                                </c:foreach>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6  white text-right">
                        <div>
                            <h5 class="text-center">関連レシピ</h5>
                            <div class="row">
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                                <div class="col-sm-2 m-1">
                                    <img src="${cook.foodimg}" name="newpiclavel" alt="写真" width="120" height="85" align="top">${foodname}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6  white text-right">
                        <div class="row">
                            <div class="col-sm-6" align="left">
                                <button class="btn btn-primary">印刷する</button>
                            </div>
                            <div class="col-sm-3 float-right">
                                <button class="btn btn-success">このレシピをお気に入りに保存する</button>
                            </div>
                        </div>


                        <!--<div class="py-5 situmonkeijiban" align="center">
                            <div>
                                <buton class="btn btn-primary">このレシピを投稿した人に質問する
                                </buton>
                                <div class="row">
                                    　
                                </div>
                                <div class="row">
                                    　
                                </div>
                                <c:foreach var="messages" items="${messages}">
                                    <div class="message">
                                        ${usericon}メッセージ
                                    </div>
                                </c:foreach>
                            </div>
                        </div>
                    -->


                    </div>
                </div>
            </div>
        </div>
        <footer>
            <p class="m-1">(c)copy right</p>
        </footer>

    </div>
</body>

</html>
